﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using ProyectoTecWeb.Data;

namespace Proyecto.Data.Migrations
{
    [DbContext(typeof(EnterpriseDBContext))]
    partial class EnterpriseDBContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("ProyectoTecWeb.Data.Entities.EnterpriseEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Address")
                        .IsRequired();

                    b.Property<string>("City")
                        .IsRequired();

                    b.Property<string>("Country")
                        .IsRequired();

                    b.Property<string>("Mail")
                        .IsRequired();

                    b.Property<string>("Name")
                        .IsRequired();

                    b.Property<int>("Number_Phone");

                    b.Property<int>("Postal_Code");

                    b.Property<string>("Url_Image");

                    b.Property<string>("Web_Page");

                    b.HasKey("Id");

                    b.ToTable("Enterpises");
                });

            modelBuilder.Entity("ProyectoTecWeb.Data.Entities.GameEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("EnterpriseEntity");

                    b.Property<string>("Genre");

                    b.Property<string>("Name")
                        .IsRequired();

                    b.Property<string>("Platform");

                    b.Property<string>("RangeAge");

                    b.Property<int>("Sales");

                    b.Property<string>("Url_Image");

                    b.Property<int>("YearLauch");

                    b.HasKey("Id");

                    b.HasIndex("EnterpriseEntity");

                    b.ToTable("Games");
                });

            modelBuilder.Entity("ProyectoTecWeb.Data.Entities.GameEntity", b =>
                {
                    b.HasOne("ProyectoTecWeb.Data.Entities.EnterpriseEntity", "Enterprise")
                        .WithMany("Games")
                        .HasForeignKey("EnterpriseEntity");
                });
#pragma warning restore 612, 618
        }
    }
}
